package com.huoran.iasf.common.utils;

/**
 * Constant
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
public class Constant {

    /**
     * redis的token相关
     */
    public static final String ACCESS_TOKEN = "token";
    public static final String PERMISSIONS_KEY = "permissions-key";
    public static final String USERID_KEY = "userid-key";
    public static final String USERNAME_KEY = "username-key";
    public static final String ROLES_KEY = "roles-key";

    /**
     * 未删除值
     */
    public static final Integer DATA_NOT_DELETED = 1;

    /**
     * 数据库类型
     */
    public static final String DB_TYPE_MYSQL = "mysql";
    public static final String DB_TYPE_ORACLE = "oracle";
    public static final String DB_TYPE_SQL_SERVER = "sqlServer";

    /**
     * 定时任务状态
     */
    public static final Integer SCHEDULER_STATUS_NORMAL = 0;
    public static final Integer SCHEDULER_STATUS_PAUSE = 1;

    /**
     * 数据范围类型 1:所有/2:自定义/3:本部门及一下/4:仅本部门/5:自己
     */
    public static final Integer DATA_SCOPE_ALL = 1;
    public static final Integer DATA_SCOPE_CUSTOM = 2;
    public static final Integer DATA_SCOPE_DEPT_AND_CHILD = 3;
    public static final Integer DATA_SCOPE_DEPT = 4;
    public static final Integer DATA_SCOPE_DEPT_SELF = 5;

    /**
     * 文章发布状态：是否发布 0:草稿 1:已发布
     */
    public static final Integer ARTICLE_PUBLISHED = 1;

    public static final Integer ARTICLE_NOT_PUBLISHED = 0;


    /**
     * 文章模板状态：0禁用；1启用
     */
    public static final Integer TEMPLATE_STATUS_DISABLED = 0;

    public static final Integer TEMPLATE_STATUS_ENABLED = 1;


    /**
     * 模板类型  类型(0:列表样式 1:详情样式)',
     */

    public static final Integer LIST_TEMPLATE_TYPES = 0;

    public static final Integer DETAILS_TEMPLATE_TYPE = 1;


    /**
     * 栏目导航菜单是否可见 菜单是否可见(默认0可见 1不可见)
     */

    public static final Integer NAVIGATION_MENU_VISIBLE = 0;

    public static final Integer THE_NAVIGATION_MENU_IS_NOT_VISIBLE = 1;

    /**
     * 异常处理 controller request url
     */
    public static final String ERROR_CONTROLLER_PATH = "/error/throw";
}
