package com.huoran.iasf.common.utils;

import org.apache.commons.mail.DefaultAuthenticator;
import org.apache.commons.mail.HtmlEmail;


public class EmailUtils {

    //服务器地址
    private static final String SERVER_ADDRESS = "smtp.mxhichina.com";
    //邮箱地址
    private static final String EMAILADDRESS = "postmaster@huorantech.cn";
    //发生邮箱密码
    private static final String EMAILPASSWORD = "HR111aaa";
    //发送人姓名
    private static final String EMAILUSERNAME = "DataForward";
    //授权码
    //private static final String AUTHORIZATION_CODE = "smtp.mxhichina.com";
    //邮件标题
    private static final String EMAILHEAD = "粒子研究院";
    //邮件信息（后接验证码）头部信息
    private static final String EMAILMASSAGEHEAD = "尊敬的用户，欢迎使用粒子研究院，您本次的验证码是: ";
    //邮件信息（后接验证码）尾部信息
    private static final String EMAILMASSAGETAIL = "，有效时间为5分钟";


    //邮箱验证码
    public static boolean sendEmail(String emailaddress,String code){
        try {
            HtmlEmail email = new HtmlEmail();
            email.setHostName(SERVER_ADDRESS);
            email.setSSLOnConnect(true);   //使用ssl加密true
            email.setSslSmtpPort("465");   //使用465端口
            email.setCharset("UTF-8");
            email.addTo(emailaddress);

            email.setFrom(EMAILADDRESS, EMAILUSERNAME);
//             -- 使用阿里企业邮箱无授权码
//            email.setAuthentication(EMAILADDRESS, AUTHORIZATION_CODE);

            email.setAuthenticator(new DefaultAuthenticator(EMAILADDRESS,EMAILPASSWORD));
            email.setSubject(EMAILHEAD);
            email.setMsg( EMAILMASSAGEHEAD + code + EMAILMASSAGETAIL);

            email.send();
            return true;
        }
        catch(Exception e){
            e.printStackTrace();
            return false;
        }
    }

    /**
     * 描述：是否是邮箱.
     *
     * @param str 指定的字符串
     * @return 是否是邮箱:是为true，否则false
     */
    public static Boolean isEmail(String str) {
        Boolean isEmail = false;
        String expr = "^([a-zA-Z0-9_\\-\\.]+)@((\\[[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.)|(([a-zA-Z0-9\\-]+\\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})$";

        if (str.matches(expr)) {
            isEmail = true;
        }
        return isEmail;
    }

}