/*
package com.huoran.iasf.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysGenerator;
import com.huoran.iasf.service.ISysGeneratorService;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.io.IOUtils;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

*/
/**
 * 代码生成
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 *//*

// @Api(tags = "系统模块-代码生成")
// @Slf4j
// @RestController
// @RequestMapping("/sysGenerator")
public class SysGeneratorController {
    @Resource
    private ISysGeneratorService sysGeneratorService;

    */
/**
     * 生成代码
     *//*

    @ApiOperation(value = "生成")
    @GetMapping("/gen")
    @RequiresPermissions("sysGenerator:add")
    public void code(String tables, HttpServletResponse response) throws IOException {
        byte[] data = sysGeneratorService.generatorCode(tables.split(","));

        response.reset();
        response.setHeader("Content-Disposition", "attachment; filename=\"manager.zip\"");
        response.addHeader("Content-Length", "" + data.length);
        response.setContentType("application/octet-stream; charset=UTF-8");

        IOUtils.write(data, response.getOutputStream());
    }

    @ApiOperation(value = "查询分页数据")
    @PostMapping("/listByPage")
    @RequiresPermissions("sysGenerator:list")
    public R findListByPage(@RequestBody SysGenerator vo) {
        IPage<SysGenerator> iPage = sysGeneratorService.selectAllTables(vo.getQueryPage(), vo);
        return R.success(iPage);
    }
}
*/
