package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 栏目模板
 * </p>
 *
 * @author cheney
 * @since 2022-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysTemplate对象", description = "栏目模板")
public class SysTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "模板类型名称")
    private String templateType;


    @ApiModelProperty(value = "类型(0栏目 1文章)")
    private Integer type;

    @ApiModelProperty(value = "是否隐藏(0默认不隐藏 1隐藏)")
    private Integer isHide;
}
