package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author cheney
 * @since 2022-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysTemplateStyle对象", description = "")
public class SysTemplateStyle implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "类型(0:列表样式 1:详情样式)")
    private Integer type;

    @ApiModelProperty(value = "样式名称")
    private String style;


    @ApiModelProperty(value = "跳转路径")
    private String path;


    @ApiModelProperty(value = "是否为长页")
    private Integer isLongPage;

    @ApiModelProperty(value = "是否隐藏(0默认不隐藏 1隐藏)")
    private Integer isHide;

}
