package com.huoran.iasf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.entity.SysRolePermission;
import com.huoran.iasf.vo.req.RolePermissionOperationReqVO;

/**
 * 角色权限关联
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
public interface RolePermissionService extends IService<SysRolePermission> {

    /**
     * 角色绑定权限
     *
     * @param vo vo
     */
    void addRolePermission(RolePermissionOperationReqVO vo);
}
