package com.huoran.iasf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysColumn;
import com.huoran.iasf.vo.req.ColumnWeightReqVO;
import com.huoran.iasf.vo.req.LongPageColumnReqVO;
import com.huoran.iasf.vo.req.PageContentReqVO;
import com.huoran.iasf.vo.req.PaginationColumnReqVO;
import org.springframework.cache.annotation.CacheEvict;

import java.util.List;

/**
 * @描述： service接口
 * @作者: Rong
 * @日期: 2022-08-01
 */
public interface SysColumnService extends IService<SysColumn> {

    //新增栏目前,同级判重
    boolean sameLevelJudgment(ColumnWeightReqVO column);


    List<SysColumn> listWithTree(PaginationColumnReqVO sysColumn);

    //栏目树结构(前台可见，只展示试单可见的栏目)
    List<SysColumn> listWithTreeMenuVisible(PaginationColumnReqVO sysColumn);

    //长页栏目列表
    R longPageColumnList(LongPageColumnReqVO reqVO);


    R getsTheSubColumn(Integer parentId,String ids,Integer siteId);
    void removeArticles(Integer columnId);

    R getsSublevelColumnsUnderALevel(Integer parentId,String ids,Integer siteId);

    Integer oneLevelChecksThemAll(Integer theChildId);


    R getSubColumn(Integer parentId,String ids,Integer isSort,Integer siteId);

    R queryArticlesByColumnType(String ids,Integer id);


}