package com.huoran.iasf.service.impl;

import com.huoran.iasf.entity.SysTemplateStyle;
import com.huoran.iasf.entity.SysTemplateStyleConfiguration;
import com.huoran.iasf.mapper.SysTemplateStyleConfigurationMapper;
import com.huoran.iasf.service.SysTemplateStyleConfigurationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 栏目样式、列表样式、详情样式配置表 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2022-11-24
 */
@Service
public class SysTemplateStyleConfigurationServiceImpl extends ServiceImpl<SysTemplateStyleConfigurationMapper, SysTemplateStyleConfiguration> implements SysTemplateStyleConfigurationService {



    @Override
    public List<SysTemplateStyle> getsTheStyleUnderTheTemplate(Integer templateId, Integer type) {
        return baseMapper.getTheStyleUnderTheTemplate(templateId, type);
    }
}
