package com.huoran.iasf.vo;

/**
 * @description
 * @author: Mr.JK
 * @create: 2021-07-05 18:25
 **/


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@Accessors(chain = true)
@ApiModel(value = "CheckVo",description = "验证码校验参数")
public class CheckVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户的邮箱地址")
    private String email;

    @ApiModelProperty("用户电话号码")
    private String phone;

    @ApiModelProperty("验证码类型(1邮箱验证码，2手机验证码)")
    private Integer types;

    @ApiModelProperty(value = "验证key")
    private String opener;

}
