package com.huoran.iasf.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author chen
 * @DATE 2022/8/8 11:15
 * @Version 1.0
 */
@Data
public class FileParameters {

    @ApiModelProperty(value = "站点来源",example = "粒子研究院中文站点")
    private String site;

    @ApiModelProperty(value = "上传人",example = "管理员")
    private String uploader;

    @ApiModelProperty(value = "引用地方",example = "某某文章")
    private String quote;

    @ApiModelProperty(value = "文件id")
    private String id;

    @ApiModelProperty(value = "引用文章id")
    private Integer quoteId;

    @ApiModelProperty(value = "是否发布（默认0未发布，1已发布）")
    private Integer isRelease;

    @ApiModelProperty(value = "0为文章，1为栏目")
    private Integer quoteType;

}
