package com.huoran.iasf.vo.req;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @描述：长页栏目拓展表
 * @作者: Rong
 * @日期: 2022-08-09
 */
@Data
public class SysColumnLongRedisVO  {


    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "栏目id")
    private Integer columnId;


    @ApiModelProperty(value = "预览储存的整个页面的json")
    private String json;



}