package com.huoran.iasf.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author chen
 * @DATE 2022/8/29 15:31
 * @Version 1.0
 */
@Data
public class UpdatePhoneOrEmailReq {
    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("用户的邮箱地址")
    private String email;

    @ApiModelProperty("用户电话号码")
    private String phone;

    @ApiModelProperty("验证码类型(1邮箱验证码，2手机验证码)")
    private Integer types;

    @ApiModelProperty("用户输入的验证码")
    private String code;

    @ApiModelProperty(value = "验证key")
    private String opener;
}
