package com.huoran.iasf.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author chen
 * @DATE 2022/8/15 15:27
 * @Version 1.0
 */
@Data
public class UserListReq {

    @ApiModelProperty(value = "类型:必填一个(1.所有员工 2.未加入部门的员工)", required = true, example = "1")
    private Integer type;

    @ApiModelProperty(value = "搜索关键词", example = "1")
    private String keyWord;

    @ApiModelProperty(value = "员工部门主键ID", example = "2")
    private String deptArchitectureId;

    @ApiModelProperty(value = "当前页数", name = "pageNum", example = "1", required = true)
    private Integer pageNum;

    @ApiModelProperty(value = "当前页需要显示的数量", name = "pageSize", example = "10", required = true)
    private Integer pageSize;
}
