package com.huoran.iasf.vo.resp;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * DeptRespNodeVO
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@Data
public class DeptRespNodeVO implements Serializable {
    // 类的内容
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "组织id")
    private Integer id;

    @ApiModelProperty(value = "组织编码")
    private String deptNo;

    @ApiModelProperty(value = "部门名称")
    private String name;

    // @ApiModelProperty(value = "组织名称")
    // private String label;

    @ApiModelProperty(value = "组织父级id")
    private String pid;

    @ApiModelProperty(value = "组织状态")
    private Integer status;

    @ApiModelProperty(value = "组织关系id")
    private String relationCode;

/*    @ApiModelProperty(value = "是否展开 默认不展开(false)")
    private boolean spread = true;

    @ApiModelProperty(value = "是否选中")
    private boolean checked = false;

    private boolean disabled = false;*/

    @ApiModelProperty(value = "子集")
    private List<?> children;

    // public String getLabel() {
    //     return title;
    // }

}
