package com.huoran.iasf.vo.resp;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * HomeRespVO
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@Data
public class HomeRespVO implements Serializable {
    // 类的内容
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "用户信息")
    private UserInfoRespVO userInfo;
    @ApiModelProperty(value = "目录菜单")
    private List<PermissionRespNode> menus;

}