package com.huoran.iasf.vo.resp;

import com.huoran.iasf.entity.SysPermission;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * LoginRespVO
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@Data
public class LoginRespVO implements Serializable {
    // 类的内容
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "token")
    private String accessToken;
    @ApiModelProperty(value = "用户名")
    private String username;
    @ApiModelProperty(value = "用户id")
    private Integer id;
    @ApiModelProperty(value = "电话")
    private String phone;
    private boolean isStrong;
    @ApiModelProperty(value = "用户头像路径")
    private String userAvatars;
    @ApiModelProperty(value = "用户所拥有的菜单权限")
    private List<SysPermission> permissionList;
}
