package com.huoran.iasf.vo.resp;

import com.huoran.iasf.entity.SysRole;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * UserOwnRoleRespVO
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@Data
public class UserOwnRoleRespVO implements Serializable {
    // 类的内容
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("所有角色集合")
    private List<SysRole> allRole;
    @ApiModelProperty(value = "用户所拥有角色集合")
    private List<String> ownRoles;
}
