package com.huoran.iasf.controller;

import com.huoran.iasf.common.exception.BusinessException;
import com.huoran.iasf.common.exception.UnauthorizedException;
import com.huoran.iasf.common.utils.Constant;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * 过滤器异常控制器
 */
@RestController
public class ExceptionController {

    @RequestMapping(Constant.ERROR_CONTROLLER_PATH)
    @ResponseStatus(HttpStatus.UNAUTHORIZED)
    public void handleException(HttpServletRequest request){
        throw (UnauthorizedException) request.getAttribute("filterError");
    }
}

