package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author cheney
 * @since 2023-08-24
 */
@Data
  @EqualsAndHashCode(callSuper = false)
    @TableName("sys_seo")
@ApiModel(value="Seo对象", description="")
public class Seo implements Serializable {

    private static final long serialVersionUID = 1L;

      @ApiModelProperty(value = "主键")
        @TableId(value = "id", type = IdType.AUTO)
      private Integer id;

      @ApiModelProperty(value = "标题")
      private String title;

      @ApiModelProperty(value = "关键词")
      private String keyword;

      @ApiModelProperty(value = "描述")
      private String description;

      @ApiModelProperty(value = "站点")
      private Integer siteId;

}
