package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 站点管理
 * </p>
 *
 * @author cheney
 * @since 2022-08-24
 */
@Data
  @EqualsAndHashCode(callSuper = false)
    @TableName("sys_site")
@ApiModel(value="Site对象", description="站点管理")
public class Site extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

      @ApiModelProperty(value = "主键")
        @TableId(value = "id", type = IdType.AUTO)
      private Integer id;

      @ApiModelProperty(value = "站点名称")
      private String siteName;

      @ApiModelProperty(value = "域名")
      private String domainName;

    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


}
