package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 用户员工部门表
 * </p>
 *
 * @author cheney
 * @since 2022-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_user_dept")
@ApiModel(value="UserDept对象", description="用户员工部门表")
public class UserDept implements Serializable {

    private static final long serialVersionUID = 1L;

      @ApiModelProperty(value = "主键")
      @TableId(value = "id", type = IdType.AUTO)
      private Integer id;

      @ApiModelProperty(value = "用户员工id")
      private Integer userId;

      @ApiModelProperty(value = "部门id")
      private Integer deptId;

      @ApiModelProperty(value = "创建时间")
      @TableField(fill = FieldFill.INSERT)
      private Date createTime;

}
