package com.huoran.iasf.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysColumn;
import com.huoran.iasf.vo.FatherContentRespVO;
import com.huoran.iasf.vo.req.LongPageColumnReqVO;
import com.huoran.iasf.vo.req.PageContentReqVO;
import com.huoran.iasf.vo.req.PaginationColumnReqVO;
import com.huoran.iasf.vo.resp.PageContentRespVO;
import org.apache.ibatis.annotations.Mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @描述： Mapper 接口
 * @作者: Rong
 * @日期: 2022-08-01
 */
@Mapper
public interface SysColumnMapper extends BaseMapper<SysColumn> {
    List<SysColumn> filter(@Param("vo") PaginationColumnReqVO vo);

    List<SysColumn> filterMenuVisible(@Param("vo") PaginationColumnReqVO vo);


    IPage<PageContentRespVO> longPageColumnList(Page<PageContentRespVO> page, @Param("req") LongPageColumnReqVO req);

    //依据子级查询父级
    List<FatherContentRespVO> getParentInformationBasedOnChild(@Param("id")Integer id);

    List<SysColumn> getsTheSubColumn(@Param("parentId")Integer parentId ,@Param("ids")String ids ,@Param("isSort")Integer isSort,@Param("siteId")Integer siteId);


    Integer oneLevelChecksThemAll(@Param("theChildId")Integer theChildId);

    List<SysColumn> queryByColumnType(@Param("ids")String ids);
}