package com.huoran.iasf.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.iasf.entity.SysUser;
import com.huoran.iasf.vo.req.UserListReq;
import com.huoran.iasf.vo.resp.UserListResp;
import org.apache.ibatis.annotations.Param;

/**
 * 用户 Mapper
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
public interface SysUserMapper extends BaseMapper<SysUser> {

    IPage<UserListResp> userList(Page<UserListResp> page,@Param("req") UserListReq userListReq);

    UserListResp detailInfo(Integer id);
}