package com.huoran.iasf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysFilesEntity;
import com.huoran.iasf.vo.UEditorResultVO;
import com.huoran.iasf.vo.req.FileParameters;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.List;

/**
 * 文件上传 服务类
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
public interface SysFilesService extends IService<SysFilesEntity> {

    UEditorResultVO saveFile(MultipartFile file, FileParameters fileParameters);

    void removeByIdsAndFiles(List<String> ids);

    void preview(String id, HttpServletRequest req, HttpServletResponse res) throws IOException, ServletException;

    void download(String id, HttpServletRequest req, HttpServletResponse res);

    R getPage(SysFilesEntity sysFiles);
}

