package com.huoran.iasf.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.iasf.entity.SysContentFile;
import com.huoran.iasf.mapper.SysContentFileMapper;
import com.huoran.iasf.service.SysContentFileService;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;
import java.util.List;

/**
 * @描述：文章附件管理表 服务类
 * @作者: Rong
 * @日期: 2022-11-07
 */
@Service
public class SysContentFileServiceImpl extends ServiceImpl<SysContentFileMapper, SysContentFile> implements SysContentFileService {

    @Autowired
    private SysContentFileMapper mapper;

    @Override
    public List<SysContentFile> getFileByContentId(Integer contentId) {
        return baseMapper.getFileByContentId(contentId);
    }
}



