package com.huoran.iasf.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.huoran.iasf.entity.SysColumn;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @描述：文章管理
 * @作者: Rong
 * @日期: 2022-08-05
 */
@Data
public class FatherContentRespVO {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "父id(第一级为0)")
    private Integer fatherId;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "层级((1-一级分类 2-二级分类 3-三级分类以此叠加))")
    private Integer level;

    @ApiModelProperty(value = "栏目名称")
    private String columnName;


}