package com.huoran.iasf.vo.req;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @描述：栏目基础信息
 * @作者: Rong
 * @日期: 2022-08-03
 */
@Data
@ApiModel(value = "栏目判重")
public class ColumnWeightReqVO {


    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Integer id;

    /*@ApiModelProperty(value = "层级((1-一级分类 2-二级分类 3-三级分类以此叠加))")
    @NotNull(message = "层级不能为空")
    private Integer level;*/


    @ApiModelProperty(value = "父id")
    private Integer fatherId;


    @ApiModelProperty(value = "栏目名称")
    @NotNull(message = "栏目名称不能为空")
    private String columnName;

    @ApiModelProperty(value = "站点id")
    @NotNull(message = "站点id不能为空!")
    private Integer siteId;



}