package com.huoran.iasf.vo.req;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @描述：文章管理
 * @作者: Rong
 * @日期: 2022-08-05
 */
@Data
@ApiModel(value = "文章标题判重")
public class ContentHeavyTitleReqVO {


    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键(编辑时需要传)",required = false)
    private Integer id;

    @ApiModelProperty(value = "标题(全库判重)",required = true)
    @NotNull(message = "标题不能为空")
    private String title;

    @ApiModelProperty(value = "站点id")
    @NotNull(message = "站点id不能为空!")
    private Integer siteId;

}