package com.huoran.iasf.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Author chen
 * @DATE 2022/8/15 17:20
 * @Version 1.0
 */
@Data
@ApiModel(value = "批量导入用户数据")
public class ExcelImpUserReq {

    @ApiModelProperty(value = "姓名")
    @NotNull(message = "姓名不能为空！")
    private String realName;

    @NotNull(message = "账号不能为空！")
    @ApiModelProperty(value = "账号")
    private String userName;

    @ApiModelProperty(value = "角色")
    @NotNull(message = "角色不能为空！")
    private String roleName;

    @ApiModelProperty(value = "工号")
    @NotNull(message = "工号不能为空！")
    private String jobNumber;

    @ApiModelProperty(value = "所在部门")
    private String dept;

    @ApiModelProperty(value = "手机号码")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "用户组")
    private String groupName;
}
