package com.huoran.iasf.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @描述：文章管理
 * @作者: Rong
 * @日期: 2022-08-05
 */
@Data
public class LongPageColumnReqVO extends PageReqVO {


    @ApiModelProperty(value = "模板名称")
    private String templateName;


    @ApiModelProperty(value = "栏目名称")
    private String programName;


    @ApiModelProperty(value = "栏目类型id",hidden = true)
    private Integer columnTypeId;

    @ApiModelProperty(value = "站点id")
    @NotNull(message = "站点id不能为空!")
    private Integer siteId;

    public Integer getColumnTypeId() {
        return 3;
    }

    
}