package com.huoran.iasf.vo.req;

import com.fasterxml.jackson.annotation.JsonAnySetter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @ProjectName: huorantech
 * @Package: com.huoran.occupationlab.entity.req
 * @ClassName: PageReq
 * @Description: 分页
 * @Author: Maureen.Rong
 * @CreateDate: 2021/8/12 15:10
 * @UpdateDate: 2021/8/12 15:10
 * @Version: 1.0
 */
@Data
public class PageReqVO {

    @ApiModelProperty(value = "当前页数", name = "pageNum", example = "1", required = true)
    private Integer pageNum;
    @ApiModelProperty(value = "当前页需要显示的数量", name = "pageSize", example = "10", required = true)
    private Integer pageSize;


}
