package com.huoran.iasf.vo.resp;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * PermissionRespNode
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@Data
public class PermissionRespNode implements Serializable {
    // 类的内容
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "菜单权限名称")
    private String name;

    @ApiModelProperty(value = "菜单权限标识，shiro 适配restful")
    private String perms;

    @ApiModelProperty(value = "接口地址")
    private String url;

/*    @ApiModelProperty(value = "icon")
    private String icon;*/

    // private String target;

    @ApiModelProperty(value = "父级id")
    private String pid;

    // @ApiModelProperty(value = "父级名称")
    // private String pidName;

/*    @ApiModelProperty(value = "菜单权限类型(1:目录;2:菜单;3:按钮)")
    private Integer type;*/

/*    @ApiModelProperty(value = "排序码")
    private Integer orderNum;*/

    private List<?> children;


}
